Index: applications/editors/josm/plugins/reverter/src/reverter/ChangesetIdQuery.java
===================================================================
--- applications/editors/josm/plugins/reverter/src/reverter/ChangesetIdQuery.java	(revision 22533)
+++ applications/editors/josm/plugins/reverter/src/reverter/ChangesetIdQuery.java	(revision 23192)
@@ -31,5 +31,5 @@
         try {
           return NumberFormat.getInstance().parse(tcid.getText()).intValue();
-        } catch (ParseException e) {            
+        } catch (ParseException e) {
           return 0;
         }
@@ -50,16 +50,16 @@
         panel.add(new JLabel(tr("Changeset id:")));
         panel.add(tcid, GBC.eol().fill(GBC.HORIZONTAL));
-        
+
         bgRevertType.add(rbFull);
         bgRevertType.add(rbSelection);
         bgRevertType.add(rbSelectionUndelete);
-        
+
         rbFull.setSelected(true);
         panel.add(rbFull, GBC.eol().insets(0,10,0,0).fill(GBC.HORIZONTAL));
         panel.add(rbSelection, GBC.eol().fill(GBC.HORIZONTAL));
         panel.add(rbSelectionUndelete, GBC.eol().fill(GBC.HORIZONTAL));
-        
+
         setContent(panel);
-        setupDialog();        
+        setupDialog();
     }
 }
Index: applications/editors/josm/plugins/reverter/src/reverter/ChangesetReverter.java
===================================================================
--- applications/editors/josm/plugins/reverter/src/reverter/ChangesetReverter.java	(revision 22533)
+++ applications/editors/josm/plugins/reverter/src/reverter/ChangesetReverter.java	(revision 23192)
@@ -54,7 +54,7 @@
     public final RevertType revertType;
 
-    private final OsmDataLayer layer; // data layer associated with reverter 
-    private final DataSet ds; // DataSet associated with reverter 
-    private final ChangesetDataSet cds; // Current changeset data 
+    private final OsmDataLayer layer; // data layer associated with reverter
+    private final DataSet ds; // DataSet associated with reverter
+    private final ChangesetDataSet cds; // Current changeset data
     private DataSet nds; // Dataset that contains new objects downloaded by reverter
 
@@ -68,5 +68,5 @@
     ////////////////////////////////////////
     private void addIfMissing(PrimitiveId id) {
-        OsmPrimitive p = ds.getPrimitiveById(id); 
+        OsmPrimitive p = ds.getPrimitiveById(id);
         if (p == null || p.isIncomplete()) {
             missing.add(id);
@@ -94,9 +94,9 @@
         }
     }
-    
+
     /**
      * Checks if {@see ChangesetDataSetEntry} conforms to current RevertType
      * @param entry entry to be checked
-     * @return <code>true</code> if {@see ChangesetDataSetEntry} conforms to current RevertType 
+     * @return <code>true</code> if {@see ChangesetDataSetEntry} conforms to current RevertType
      */
     private boolean CheckOsmChangeEntry(ChangesetDataSetEntry entry) {
@@ -110,5 +110,5 @@
         return p.isSelected();
     }
-    
+
     /**
      * creates a reverter for specific changeset and fetches initial data
@@ -132,5 +132,5 @@
             monitor.finishTask();
         }
-        
+
         // Build our own lists of created/updated/modified objects for better performance
         for (Iterator<ChangesetDataSetEntry> it = cds.iterator();it.hasNext();) {
@@ -163,5 +163,5 @@
     public void downloadObjectsHistory(ProgressMonitor progressMonitor) throws OsmTransferException {
         final OsmServerMultiObjectReader rdr = new OsmServerMultiObjectReader();
-        
+
         progressMonitor.beginTask("Downloading objects history",updated.size()+deleted.size()+1);
         try {
@@ -182,5 +182,5 @@
         }
     }
-    
+
     public void downloadMissingPrimitives(ProgressMonitor monitor) throws OsmTransferException {
         if (!hasMissingObjects()) return;
@@ -200,5 +200,5 @@
             }
         }
-        DataSet source = rdr.parseOsm(monitor); 
+        DataSet source = rdr.parseOsm(monitor);
         for (OsmPrimitive p : source.allPrimitives()) {
             if (!p.isVisible() && !p.isDeleted()) {
@@ -210,5 +210,5 @@
         missing.clear();
     }
-    
+
     private static Conflict<? extends OsmPrimitive> CreateConflict(OsmPrimitive p, boolean isMyDeleted) {
         switch (p.getType()) {
@@ -222,5 +222,5 @@
         }
     }
-    
+
     private static boolean hasEqualSemanticAttributes(OsmPrimitive current,HistoryOsmPrimitive history) {
         if (!current.getKeys().equals(history.getTags())) return false;
@@ -237,10 +237,10 @@
             return true;
         case RELATION:
-            List<org.openstreetmap.josm.data.osm.RelationMember> currentMembers = 
+            List<org.openstreetmap.josm.data.osm.RelationMember> currentMembers =
                 ((Relation)current).getMembers();
             List<RelationMember> historyMembers = ((HistoryRelation)history).getMembers();
             if (currentMembers.size() != historyMembers.size()) return false;
             for (int i = 0; i < currentMembers.size(); i++) {
-                org.openstreetmap.josm.data.osm.RelationMember currentMember = 
+                org.openstreetmap.josm.data.osm.RelationMember currentMember =
                     currentMembers.get(i);
                 RelationMember historyMember = historyMembers.get(i);
@@ -253,12 +253,12 @@
         }
     }
-    
+
     /**
      * Builds a list of commands that will revert the changeset
-     * 
+     *
      */
     public List<Command> getCommands() {
         if (this.nds == null) return null;
-        
+
         //////////////////////////////////////////////////////////////////////////
         // Create commands to restore/update all affected objects
@@ -282,15 +282,15 @@
             if (p != null) toDelete.add(p);
         }
-        
+
 
         //////////////////////////////////////////////////////////////////////////
         // Check reversion against current dataset and create necessary conflicts
-        
+
         HashSet<OsmPrimitive> conflicted = new HashSet<OsmPrimitive>();
-        
+
         for (Conflict<? extends OsmPrimitive> conflict : merger.getConflicts()) {
             cmds.add(new ConflictAddCommand(layer,conflict));
         }
-        
+
         // Check objects versions
         for (Iterator<ChangesetDataSetEntry> it = cds.iterator();it.hasNext();) {
@@ -302,5 +302,5 @@
                 throw new IllegalStateException(tr("Missing merge target for {0} with id {1}",
                         hp.getType(), hp.getId()));
-            
+
             if (hp.getVersion() != dp.getVersion()
                     && (hp.isVisible() || dp.isVisible()) &&
@@ -309,12 +309,12 @@
                      */
                     !hasEqualSemanticAttributes(dp,hp)) {
-                
-                
-                cmds.add(new ConflictAddCommand(layer,CreateConflict(dp, 
+
+
+                cmds.add(new ConflictAddCommand(layer,CreateConflict(dp,
                         entry.getModificationType() == ChangesetModificationType.CREATED)));
                 conflicted.add(dp);
             }
         }
-        
+
         /* Check referrers for deleted objects: if object is referred by another object that
          * isn't going to be deleted or modified, create a conflict.
@@ -340,5 +340,5 @@
             }
         }
-        
+
         // Create a Command to delete all marked objects
         List<? extends OsmPrimitive> list;
Index: applications/editors/josm/plugins/reverter/src/reverter/MultiOsmReader.java
===================================================================
--- applications/editors/josm/plugins/reverter/src/reverter/MultiOsmReader.java	(revision 22533)
+++ applications/editors/josm/plugins/reverter/src/reverter/MultiOsmReader.java	(revision 23192)
@@ -561,5 +561,5 @@
         processRelationsAfterParsing();
     }
-    
-    
+
+
 }
Index: applications/editors/josm/plugins/reverter/src/reverter/ObjectsHistoryAction.java
===================================================================
--- applications/editors/josm/plugins/reverter/src/reverter/ObjectsHistoryAction.java	(revision 22533)
+++ applications/editors/josm/plugins/reverter/src/reverter/ObjectsHistoryAction.java	(revision 23192)
@@ -16,5 +16,5 @@
                 Shortcut.registerShortcut("tool:history",
                         "Tool: Display objects history dialog",
-                        KeyEvent.VK_H, Shortcut.GROUP_EDIT, 
+                        KeyEvent.VK_H, Shortcut.GROUP_EDIT,
                         Shortcut.SHIFT_DEFAULT),
                 true);
Index: applications/editors/josm/plugins/reverter/src/reverter/ObjectsHistoryDialog.java
===================================================================
--- applications/editors/josm/plugins/reverter/src/reverter/ObjectsHistoryDialog.java	(revision 22533)
+++ applications/editors/josm/plugins/reverter/src/reverter/ObjectsHistoryDialog.java	(revision 23192)
@@ -18,5 +18,5 @@
         setButtonIcons(new String[] {"ok.png", "cancel.png" });
         setContent(new JPanel(new GridBagLayout()));
-        setupDialog();        
+        setupDialog();
     }
 }
Index: applications/editors/josm/plugins/reverter/src/reverter/PrimitiveIdVersion.java
===================================================================
--- applications/editors/josm/plugins/reverter/src/reverter/PrimitiveIdVersion.java	(revision 22533)
+++ applications/editors/josm/plugins/reverter/src/reverter/PrimitiveIdVersion.java	(revision 23192)
@@ -20,5 +20,5 @@
         return version;
     }
-    
+
     @Override
     public int hashCode() {
Index: applications/editors/josm/plugins/reverter/src/reverter/RevertChangesetAction.java
===================================================================
--- applications/editors/josm/plugins/reverter/src/reverter/RevertChangesetAction.java	(revision 22533)
+++ applications/editors/josm/plugins/reverter/src/reverter/RevertChangesetAction.java	(revision 23192)
@@ -27,9 +27,9 @@
                 Shortcut.registerShortcut("tool:revert",
                         tr("Tool: {0}", tr("Revert changeset")),
-                        KeyEvent.VK_T, Shortcut.GROUP_EDIT, 
-                        Shortcut.SHIFT_DEFAULT),  
+                        KeyEvent.VK_T, Shortcut.GROUP_EDIT,
+                        Shortcut.SHIFT_DEFAULT),
                 true);
     }
-    
+
     @Override
     protected void updateEnabledState() {
@@ -47,19 +47,19 @@
         if (changesetId == 0) return;
         if (revertType == null) return;
-        
+
         Main.worker.submit(new PleaseWaitRunnable(tr("Reverting...")) {
             private ChangesetReverter rev;
             private boolean downloadConfirmed = false;
-            
+
             private boolean checkAndDownloadMissing() throws OsmTransferException {
                 if (!rev.hasMissingObjects()) return true;
                 if (!downloadConfirmed) {
                     downloadConfirmed = JOptionPane.showConfirmDialog(Main.parent,
-                            tr("This changeset has objects that are not present in current dataset.\n" + 
+                            tr("This changeset has objects that are not present in current dataset.\n" +
                                     "It is needed to download them before reverting. Do you want to continue?"),
                             tr("Confirm"), JOptionPane.YES_NO_OPTION) == JOptionPane.YES_OPTION;
                     if (!downloadConfirmed) return false;
                 }
-                final PleaseWaitProgressMonitor monitor = 
+                final PleaseWaitProgressMonitor monitor =
                     new PleaseWaitProgressMonitor(tr("Fetching missing primitives"));
                 try {
@@ -70,5 +70,5 @@
                 return !monitor.isCancelled();
             }
-            
+
             @Override
             protected void realRun() throws OsmTransferException {
@@ -90,5 +90,5 @@
                     rev.downloadMissingPrimitives(progressMonitor.createSubTaskMonitor(0, false));
                 }
-                
+
                 if (progressMonitor.isCancelled()) return;
                 rev.downloadObjectsHistory(progressMonitor.createSubTaskMonitor(ProgressMonitor.ALL_TICKS, false));
@@ -96,5 +96,5 @@
                 if (!checkAndDownloadMissing()) return;
                 List<Command> cmds = rev.getCommands();
-                Command cmd = new SequenceCommand(tr(revertType == RevertType.FULL ? "Revert changeset #{0}" : 
+                Command cmd = new SequenceCommand(tr(revertType == RevertType.FULL ? "Revert changeset #{0}" :
                         "Partially revert changeset #{0}",changesetId),cmds);
                 Main.main.undoRedo.add(cmd);
Index: applications/editors/josm/plugins/reverter/src/reverter/ReverterPlugin.java
===================================================================
--- applications/editors/josm/plugins/reverter/src/reverter/ReverterPlugin.java	(revision 22533)
+++ applications/editors/josm/plugins/reverter/src/reverter/ReverterPlugin.java	(revision 23192)
@@ -18,5 +18,5 @@
         JMenu historyMenu = Main.main.menu.addMenu(marktr("History"), KeyEvent.VK_R,
                 Main.main.menu.defaultMenuPos,ht("/Plugin/Reverter"));
-        //MainMenu.add(historyMenu, new ObjectsHistoryAction());       
+        //MainMenu.add(historyMenu, new ObjectsHistoryAction());
         MainMenu.add(historyMenu, new RevertChangesetAction());
     }