Index: applications/editors/josm/plugins/toms/src/toms/dialogs/SmpDialogAction.java
===================================================================
--- applications/editors/josm/plugins/toms/src/toms/dialogs/SmpDialogAction.java	(revision 23308)
+++ applications/editors/josm/plugins/toms/src/toms/dialogs/SmpDialogAction.java	(revision 23329)
@@ -391,18 +391,18 @@
 			return;
 
-		} else if (type.equals("buoy_safe_water") || type.equals("beacon_safe_water")) { //$NON-NLS-1$
+		} else if (type.equals("buoy_safe_water") || type.equals("beacon_safe_water")) { //$NON-NLS-1$ //$NON-NLS-2$
 			buoy = new BuoySaw(this, node);
 			return;
 
-		} else if (type.equals("buoy_special_purpose") || type.equals("beacon_special_purpose")) { //$NON-NLS-1$
+		} else if (type.equals("buoy_special_purpose") || type.equals("beacon_special_purpose")) { //$NON-NLS-1$ //$NON-NLS-2$
 			buoy = new BuoySpec(this, node);
 			return;
 
-		} else if (type.equals("buoy_isolated_danger") || type.equals("beacon_isolated_danger")) { //$NON-NLS-1$
+		} else if (type.equals("buoy_isolated_danger") || type.equals("beacon_isolated_danger")) { //$NON-NLS-1$ //$NON-NLS-2$
 			buoy = new BuoyIsol(this, node);
 			return;
 
-		} else if (type.equals("landmark") || type.equals("light_vessel") //$NON-NLS-1$
-				|| type.equals("light_major") || type.equals("light_minor")) { //$NON-NLS-1$
+		} else if (type.equals("landmark") || type.equals("light_vessel") //$NON-NLS-1$ //$NON-NLS-2$
+				|| type.equals("light_major") || type.equals("light_minor")) { //$NON-NLS-1$ //$NON-NLS-2$
 			buoy = new BuoyNota(this, node);
 			return;
@@ -1038,8 +1038,8 @@
 			cbM01Racon.setFont(new Font("Dialog", Font.PLAIN, 12)); //$NON-NLS-1$
 			cbM01Racon.removeAllItems();
-			cbM01Racon.addItem("Any");
-			cbM01Racon.addItem("Racon");
-			cbM01Racon.addItem("Ramark");
-			cbM01Racon.addItem("Leading");
+			cbM01Racon.addItem(Messages.getString("SmpDialogAction.8")); //$NON-NLS-1$
+			cbM01Racon.addItem(Messages.getString("SmpDialogAction.10")); //$NON-NLS-1$
+			cbM01Racon.addItem(Messages.getString("SmpDialogAction.11")); //$NON-NLS-1$
+			cbM01Racon.addItem(Messages.getString("SmpDialogAction.12")); //$NON-NLS-1$
 			cbM01Racon.addActionListener(new ActionListener() {
 				public void actionPerformed(ActionEvent e) {
@@ -1095,12 +1095,12 @@
 			cbM01Fog.setFont(new Font("Dialog", Font.PLAIN, 12)); //$NON-NLS-1$
 			cbM01Fog.removeAllItems();
-			cbM01Fog.addItem("Any");
-			cbM01Fog.addItem("Horn");
-			cbM01Fog.addItem("Siren");
-			cbM01Fog.addItem("Dia");
-			cbM01Fog.addItem("Bell");
-			cbM01Fog.addItem("Whis");
-			cbM01Fog.addItem("Gong");
-			cbM01Fog.addItem("Explos");
+			cbM01Fog.addItem(Messages.getString("SmpDialogAction.8")); //$NON-NLS-1$
+			cbM01Fog.addItem(Messages.getString("SmpDialogAction.14")); //$NON-NLS-1$
+			cbM01Fog.addItem(Messages.getString("SmpDialogAction.15")); //$NON-NLS-1$
+			cbM01Fog.addItem(Messages.getString("SmpDialogAction.16")); //$NON-NLS-1$
+			cbM01Fog.addItem(Messages.getString("SmpDialogAction.17")); //$NON-NLS-1$
+			cbM01Fog.addItem(Messages.getString("SmpDialogAction.18")); //$NON-NLS-1$
+			cbM01Fog.addItem(Messages.getString("SmpDialogAction.19")); //$NON-NLS-1$
+			cbM01Fog.addItem(Messages.getString("SmpDialogAction.20")); //$NON-NLS-1$
 			cbM01Fog.addActionListener(new ActionListener() {
 				public void actionPerformed(ActionEvent e) {
@@ -1188,7 +1188,7 @@
 						return;
 
-					if (it.contains("(")) {
-						i1 = it.indexOf("(");
-						i2 = it.indexOf(")");
+					if (it.contains("(")) { //$NON-NLS-1$
+						i1 = it.indexOf("("); //$NON-NLS-1$
+						i2 = it.indexOf(")"); //$NON-NLS-1$
 						c = it.substring(i1 + 1, i2);
 						it = it.substring(0, i1) + it.substring(i2 + 1);
@@ -1373,5 +1373,5 @@
 			bM01Close = new JButton();
 			bM01Close.setBounds(new Rectangle(20, 325, 110, 20));
-			bM01Close.setText(tr("Close"));
+			bM01Close.setText(tr("Close")); //$NON-NLS-1$
 			bM01Close.addActionListener(new ActionListener() {
 				public void actionPerformed(ActionEvent e) {
@@ -1397,5 +1397,5 @@
 			bM01Save = new JButton();
 			bM01Save.setBounds(new Rectangle(150, 325, 110, 20));
-			bM01Save.setText(tr("Save"));
+			bM01Save.setText(tr("Save")); //$NON-NLS-1$
 			bM01Save.setEnabled(false);
 
Index: applications/editors/josm/plugins/toms/src/toms/msg/messages.properties
===================================================================
--- applications/editors/josm/plugins/toms/src/toms/msg/messages.properties	(revision 23308)
+++ applications/editors/josm/plugins/toms/src/toms/msg/messages.properties	(revision 23329)
@@ -11,8 +11,10 @@
 SmpDialogAction.0=Seamark Editor
 SmpDialogAction.1=Category:
+SmpDialogAction.10=Racon
 SmpDialogAction.101=IALA
 SmpDialogAction.103=Type:
 SmpDialogAction.107=Form:
 SmpDialogAction.109=Name:
+SmpDialogAction.11=Ramark
 SmpDialogAction.111=Other Features:
 SmpDialogAction.113=(          )
@@ -20,4 +22,5 @@
 SmpDialogAction.117=Period:          s
 SmpDialogAction.119=Character:
+SmpDialogAction.12=Leading
 SmpDialogAction.121=Height:         m
 SmpDialogAction.123=Range:         M
@@ -28,4 +31,5 @@
 SmpDialogAction.133=Brg:         \u00B0-        \u00B0, r:
 SmpDialogAction.134=-A
+SmpDialogAction.14=Horn
 SmpDialogAction.140=Single
 SmpDialogAction.141=Sectored
@@ -37,4 +41,5 @@
 SmpDialogAction.147=Special Purpose
 SmpDialogAction.148=Light
+SmpDialogAction.15=Siren
 SmpDialogAction.150=Seamark not set
 SmpDialogAction.152=*Select Category*
@@ -46,11 +51,15 @@
 SmpDialogAction.158=North
 SmpDialogAction.159=East
+SmpDialogAction.16=Dia
 SmpDialogAction.160=South
 SmpDialogAction.161=West
 SmpDialogAction.166=Topmark
 SmpDialogAction.169=Radar Reflector
+SmpDialogAction.17=Bell
 SmpDialogAction.171=Radar Beacon
 SmpDialogAction.174=Fog Signal
 SmpDialogAction.177=Lighted
+SmpDialogAction.18=Whis
+SmpDialogAction.19=Gong
 SmpDialogAction.190=W
 SmpDialogAction.191=R
@@ -62,4 +71,5 @@
 SmpDialogAction.198=4
 SmpDialogAction.199=5
+SmpDialogAction.20=Explos
 SmpDialogAction.200=6
 SmpDialogAction.201=7
@@ -82,5 +92,3 @@
 SmpDialogAction.212=Not set
 SmpDialogAction.213=*Select shape*
-SmpDialogAction.214=Can
-SmpDialogAction.215=Cone
-
+SmpDialogAction.8=Any
Index: applications/editors/josm/plugins/toms/src/toms/msg/messages_de.properties
===================================================================
--- applications/editors/josm/plugins/toms/src/toms/msg/messages_de.properties	(revision 23308)
+++ applications/editors/josm/plugins/toms/src/toms/msg/messages_de.properties	(revision 23329)
@@ -5,5 +5,5 @@
 Buoy.05=Spiere
 Buoy.06=Tower
-Buoy.07=Floß
+Buoy.07=Leuchtfloß
 Buoy.08=Kugeltonne
 Buoy.09=Fasstonne
@@ -11,8 +11,10 @@
 SmpDialogAction.0=Seezeichen Editor
 SmpDialogAction.1=Kategorie:
+SmpDialogAction.10=Racon
 SmpDialogAction.101=IALA
 SmpDialogAction.103=Typ:
 SmpDialogAction.107=Form:
 SmpDialogAction.109=Name:
+SmpDialogAction.11=Ramark
 SmpDialogAction.111=Andere Eigenschaften:
 SmpDialogAction.113=(          )
@@ -20,4 +22,5 @@
 SmpDialogAction.117=Dauer:          s
 SmpDialogAction.119=Charakter:
+SmpDialogAction.12=Richtfeuer
 SmpDialogAction.121=Höhe:           m
 SmpDialogAction.123=Bereich:       M
@@ -28,4 +31,5 @@
 SmpDialogAction.133=Brg:         \u00B0-        \u00B0, r:
 SmpDialogAction.134=-A
+SmpDialogAction.14=Horn
 SmpDialogAction.140=einzeln
 SmpDialogAction.141=geteilt
@@ -37,4 +41,5 @@
 SmpDialogAction.147=Sonderzeichentonne
 SmpDialogAction.148=Leuchtfeuer
+SmpDialogAction.15=Sirene
 SmpDialogAction.150=kein Seezeichen ausgewählt
 SmpDialogAction.152=*Wähle Kategorie aus*
@@ -46,11 +51,15 @@
 SmpDialogAction.158=Nord
 SmpDialogAction.159=Ost
+SmpDialogAction.16=Doppelton
 SmpDialogAction.160=Süd
 SmpDialogAction.161=West
 SmpDialogAction.166=Topzeichen
 SmpDialogAction.169=Radar Reflektor
+SmpDialogAction.17=Glocke
 SmpDialogAction.171=Radar Bake
 SmpDialogAction.174=Nebelhorn
 SmpDialogAction.177=befeuert
+SmpDialogAction.18=Heulton
+SmpDialogAction.19=Gong
 SmpDialogAction.190=W
 SmpDialogAction.191=R
@@ -62,4 +71,5 @@
 SmpDialogAction.198=4
 SmpDialogAction.199=5
+SmpDialogAction.20=Explosion
 SmpDialogAction.200=6
 SmpDialogAction.201=7
@@ -82,2 +92,4 @@
 SmpDialogAction.212=Unbekannt
 SmpDialogAction.213=*Wähle Form aus*
+SmpDialogAction.8=beliebig
+
Index: applications/editors/josm/plugins/toms/src/toms/msg/messages_en.properties
===================================================================
--- applications/editors/josm/plugins/toms/src/toms/msg/messages_en.properties	(revision 23308)
+++ applications/editors/josm/plugins/toms/src/toms/msg/messages_en.properties	(revision 23329)
@@ -11,8 +11,10 @@
 SmpDialogAction.0=Seamark Editor
 SmpDialogAction.1=Category:
+SmpDialogAction.10=Racon
 SmpDialogAction.101=IALA
 SmpDialogAction.103=Type:
 SmpDialogAction.107=Shape:
 SmpDialogAction.109=Name:
+SmpDialogAction.11=Ramark
 SmpDialogAction.111=Other Features:
 SmpDialogAction.113=(          )
@@ -20,4 +22,5 @@
 SmpDialogAction.117=Period:          s
 SmpDialogAction.119=Character:
+SmpDialogAction.12=Leading
 SmpDialogAction.121=Height:         m
 SmpDialogAction.123=Range:         M
@@ -28,4 +31,5 @@
 SmpDialogAction.133=Brg:         \u00B0-        \u00B0, r:
 SmpDialogAction.134=-A
+SmpDialogAction.14=Horn
 SmpDialogAction.140=Single
 SmpDialogAction.141=Sectored
@@ -37,4 +41,5 @@
 SmpDialogAction.147=Special Purpose
 SmpDialogAction.148=Light
+SmpDialogAction.15=Siren
 SmpDialogAction.150=Seamark not set
 SmpDialogAction.152=*Select Category*
@@ -46,11 +51,15 @@
 SmpDialogAction.158=North
 SmpDialogAction.159=East
+SmpDialogAction.16=Dia
 SmpDialogAction.160=South
 SmpDialogAction.161=West
 SmpDialogAction.166=Topmark
 SmpDialogAction.169=Radar Reflector
+SmpDialogAction.17=Bell
 SmpDialogAction.171=Radar Beacon
 SmpDialogAction.174=Fog Signal
 SmpDialogAction.177=Lighted
+SmpDialogAction.18=Whis
+SmpDialogAction.19=Gong
 SmpDialogAction.190=W
 SmpDialogAction.191=R
@@ -62,4 +71,5 @@
 SmpDialogAction.198=4
 SmpDialogAction.199=5
+SmpDialogAction.20=Explos
 SmpDialogAction.200=6
 SmpDialogAction.201=7
@@ -82,2 +92,3 @@
 SmpDialogAction.212=Not set
 SmpDialogAction.213=*Select shape*
+SmpDialogAction.8=Any