Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/OSeaM.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/OSeaM.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/OSeaM.java	(revision 23445)
@@ -12,5 +12,5 @@
 
 	private OSeaMAction osm = null;
-	public SmedPluginManager manager = null;
+	public static SmedPluginManager manager = null;
 	private int index = -1;
 	
@@ -60,7 +60,6 @@
 	@Override
 	public boolean hasFocus() {
-		osm.hasFocus = true;
 		osm.setQueued();
-		System.out.println("OSeaM has Focus");
+
 		return true;
 	}
@@ -69,4 +68,5 @@
 	public boolean lostFocus() {
 		osm.setDequeued();
+		
 		return true;
 	}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java	(revision 23445)
@@ -37,4 +37,5 @@
 
 import oseam.Messages;
+import oseam.OSeaM;
 import oseam.seamarks.SeaMark;
 import oseam.seamarks.buoys.Buoy;
@@ -65,4 +66,5 @@
 	private String UserHome = ""; // @jve:decl-index=0: //$NON-NLS-1$
 	public boolean hasFocus = false;
+	public static String errMsg = "";
 
 	// SelectionChangedListner der in die Eventqueue von josm eingehängt wird
@@ -159,5 +161,4 @@
 	public JButton bM01Close = null;
 	public JCheckBox cM01IconVisible = null;
-	public JTextField sM01StatusBar = null;
 
 	public boolean paintlock = false;
@@ -234,10 +235,12 @@
 	
 	public void setQueued() {
-		System.out.println("OSeaM is queued");
+		hasFocus = true;
+		OSeaM.manager.showVisualMessage(errMsg);
 		DataSet.addSelectionListener(SmpListener);
 	}
 
 	public void setDequeued() {
-		System.out.println("OSeaM is dequeued");
+		hasFocus = false;
+		
 		DataSet.removeSelectionListener(SmpListener);
 	}
@@ -716,5 +719,4 @@
 			pM01SeaMap.add(lM01RadarMark, null);
 			pM01SeaMap.add(getBM01Save(), null);
-			pM01SeaMap.add(getSM01StatusBar(), null);
 			pM01SeaMap.add(getBM01Close(), null);
 			pM01SeaMap.add(getCM01IconVisible(), null);
@@ -1406,13 +1408,3 @@
 		return cM01IconVisible;
 	}
-
-	private JTextField getSM01StatusBar() {
-		if (sM01StatusBar == null) {
-			sM01StatusBar = new JTextField();
-			sM01StatusBar.setBounds(new Rectangle(7, 355, 385, 20));
-			sM01StatusBar.setBackground(SystemColor.activeCaptionBorder);
-		}
-		return sM01StatusBar;
-	}
-
 }
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/Buoy.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/Buoy.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/Buoy.java	(revision 23445)
@@ -13,7 +13,7 @@
 
 import oseam.Messages;
+import oseam.OSeaM;
 import oseam.dialogs.OSeaMAction;
 import oseam.seamarks.SeaMark;
-
 
 abstract public class Buoy extends SeaMark {
@@ -512,4 +512,11 @@
 
 	public void paintSign() {
+
+		if (getErrMsg() != null) { 
+			String str = getErrMsg();
+			
+			OSeaM.manager.showVisualMessage(str);
+			OSeaMAction.errMsg = str;
+		}
 
 		if (dlg.paintlock)
@@ -797,8 +804,8 @@
 		String str = dlg.tfM01Name.getText();
 		if (!str.isEmpty())
-			Main.main.undoRedo.add(new ChangePropertyCommand(Node, "seamark:name",
-					str));
-		Main.main.undoRedo
-				.add(new ChangePropertyCommand(Node, "seamark:type", type));
+			Main.main.undoRedo.add(new ChangePropertyCommand(Node,
+					"seamark:name", str));
+		Main.main.undoRedo.add(new ChangePropertyCommand(Node, "seamark:type",
+				type));
 	}
 
@@ -845,7 +852,8 @@
 						if ((Bearing1[i] != null) && (Bearing2[i] != null)
 								&& (Radius[i] != null))
-							Main.main.undoRedo.add(new ChangePropertyCommand(Node,
-									"seamark:light:" + i, "red:" + Bearing1[i] + ":"
-											+ Bearing2[i] + ":" + Radius[i]));
+							Main.main.undoRedo.add(new ChangePropertyCommand(
+									Node, "seamark:light:" + i, "red:"
+											+ Bearing1[i] + ":" + Bearing2[i]
+											+ ":" + Radius[i]));
 					} else if (colour.equals("G")) {
 						Main.main.undoRedo.add(new ChangePropertyCommand(Node,
@@ -853,7 +861,8 @@
 						if ((Bearing1[i] != null) && (Bearing2[i] != null)
 								&& (Radius[i] != null))
-							Main.main.undoRedo.add(new ChangePropertyCommand(Node,
-									"seamark:light:" + i, "green:" + Bearing1[i] + ":"
-											+ Bearing2[i] + ":" + Radius[i]));
+							Main.main.undoRedo.add(new ChangePropertyCommand(
+									Node, "seamark:light:" + i, "green:"
+											+ Bearing1[i] + ":" + Bearing2[i]
+											+ ":" + Radius[i]));
 					} else if (colour.equals("W")) {
 						Main.main.undoRedo.add(new ChangePropertyCommand(Node,
@@ -861,7 +870,8 @@
 						if ((Bearing1[i] != null) && (Bearing2[i] != null)
 								&& (Radius[i] != null))
-							Main.main.undoRedo.add(new ChangePropertyCommand(Node,
-									"seamark:light:" + i, "white:" + Bearing1[i] + ":"
-											+ Bearing2[i] + ":" + Radius[i]));
+							Main.main.undoRedo.add(new ChangePropertyCommand(
+									Node, "seamark:light:" + i, "white:"
+											+ Bearing1[i] + ":" + Bearing2[i]
+											+ ":" + Radius[i]));
 					}
 
@@ -887,6 +897,8 @@
 
 				if (Bearing1[i] != null)
-					Main.main.undoRedo.add(new ChangePropertyCommand(Node,
-							"seamark:light:" + i + ":sector_start", Bearing1[i]));
+					Main.main.undoRedo
+							.add(new ChangePropertyCommand(Node,
+									"seamark:light:" + i + ":sector_start",
+									Bearing1[i]));
 
 				if (Bearing2[i] != null)
@@ -917,6 +929,8 @@
 						"seamark:radar_transponder:category", "racon"));
 				if (!getRaconGroup().isEmpty())
-					Main.main.undoRedo.add(new ChangePropertyCommand(Node,
-							"seamark:radar_transponder:group", getRaconGroup()));
+					Main.main.undoRedo
+							.add(new ChangePropertyCommand(Node,
+									"seamark:radar_transponder:group",
+									getRaconGroup()));
 				break;
 			case RATYPE_RAMARK:
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyCard.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyCard.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyCard.java	(revision 23445)
@@ -177,6 +177,4 @@
 			return;
 		super.paintSign();
-
-		dlg.sM01StatusBar.setText(getErrMsg());
 
 		if (isValid()) {
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyIsol.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyIsol.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyIsol.java	(revision 23445)
@@ -115,6 +115,4 @@
 
 		super.paintSign();
-
-		dlg.sM01StatusBar.setText(getErrMsg());
 
 		if (isValid()) {
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyLat.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyLat.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyLat.java	(revision 23445)
@@ -363,6 +363,4 @@
 		super.paintSign();
 
-		dlg.sM01StatusBar.setText(getErrMsg());
-
 		if (isValid()) {
 			dlg.tfM01Name.setEnabled(true);
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyNota.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyNota.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyNota.java	(revision 23445)
@@ -87,6 +87,4 @@
 		super.paintSign();
 
-		dlg.sM01StatusBar.setText(getErrMsg());
-
 		if (isValid()) {
 			dlg.cM01Radar.setVisible(true);
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoySaw.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoySaw.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoySaw.java	(revision 23445)
@@ -110,6 +110,4 @@
 			return;
 		super.paintSign();
-
-		dlg.sM01StatusBar.setText(getErrMsg());
 
 		if (isValid()) {
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoySpec.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoySpec.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoySpec.java	(revision 23445)
@@ -166,6 +166,4 @@
 			return;
 		super.paintSign();
-
-		dlg.sM01StatusBar.setText(getErrMsg());
 
 		if (isValid()) {
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyUkn.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyUkn.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/buoys/BuoyUkn.java	(revision 23445)
@@ -16,7 +16,4 @@
 		super.paintSign();
 
-		if (getErrMsg() != null)
-			dlg.sM01StatusBar.setText(getErrMsg());
-
 		setErrMsg(null);
 	}
Index: applications/editors/josm/plugins/smed/plugs/smed_about/src/smed_about/SmedAbout.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/smed_about/src/smed_about/SmedAbout.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/smed_about/src/smed_about/SmedAbout.java	(revision 23445)
@@ -13,6 +13,9 @@
 public class SmedAbout implements SmedPluggable{
 
+	public SmedPluginManager manager = null;
+	
 	private boolean visible = true;
 	private int index = -1;
+	private String msg = "";
 	
     private JPanel jPanel = null;  //  @jve:decl-index=0:visual-constraint="43,24"
@@ -39,11 +42,9 @@
     @Override
     public void setPluginManager(SmedPluginManager manager) {
-        // TODO Auto-generated method stub
-
+    	this.manager = manager;
     }
 
     @Override
     public String getInfo() {
-
         return "something about the programm";
     }
@@ -51,5 +52,5 @@
     @Override
     public JComponent getComponent() {
-
+    	manager.showVisualMessage(msg);
         return getJPanel();
     }
@@ -87,5 +88,4 @@
 	@Override
 	public ImageIcon getIcon() {
-
 		return null;
 	}
@@ -93,6 +93,6 @@
 	@Override
 	public boolean hasFocus() {
-		// TODO Auto-generated method stub
-		return false;
+		manager.showVisualMessage(msg);
+		return true;
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/smed_ex/src/smed_ex/SmedEx.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/smed_ex/src/smed_ex/SmedEx.java	(revision 23443)
+++ applications/editors/josm/plugins/smed/plugs/smed_ex/src/smed_ex/SmedEx.java	(revision 23445)
@@ -8,7 +8,7 @@
 import smed.plug.ifc.SmedPluginManager;
 import javax.swing.JPanel;
-import java.awt.GridBagLayout;
 import java.awt.Dimension;
 import javax.swing.JButton;
+
 import java.awt.Rectangle;
 import java.awt.event.ActionEvent;
@@ -20,4 +20,5 @@
 	public SmedPluginManager manager = null;
 	private int index = -1;
+	private String msg = "press button 'Hello World!' and see, how it works";
 	
     private JPanel jPanel = null;  //  @jve:decl-index=0:visual-constraint="78,30"
@@ -44,5 +45,5 @@
     @Override
     public JComponent getComponent() {
-
+    	manager.showVisualMessage(msg);
         return getJPanel();
     }
@@ -109,6 +110,6 @@
 	@Override
 	public boolean hasFocus() {
-		// TODO Auto-generated method stub
-		return false;
+		manager.showVisualMessage(msg);
+		return true;
 	}
 