Index: applications/editors/josm/i18n/po/it.po
===================================================================
--- applications/editors/josm/i18n/po/it.po	(revision 23433)
+++ applications/editors/josm/i18n/po/it.po	(revision 23467)
@@ -5,6 +5,6 @@
 "Project-Id-Version: josm 20081003\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-10-01 19:14+0200\n"
-"PO-Revision-Date: 2010-09-27 09:22+0000\n"
+"POT-Creation-Date: 2010-10-03 22:45+0200\n"
+"PO-Revision-Date: 2010-10-01 20:29+0000\n"
 "Last-Translator: Davide Prade <davalv@alice.it>\n"
 "Language-Team: Italian <talk-it@lists.openstreetmap.org>\n"
@@ -13,5 +13,5 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Launchpad-Export-Date: 2010-10-01 16:27+0000\n"
+"X-Launchpad-Export-Date: 2010-10-03 20:35+0000\n"
 "X-Generator: Launchpad (build Unknown)\n"
 
@@ -82,5 +82,5 @@
 #: ../core/src/org/openstreetmap/josm/gui/preferences/AdvancedPreference.java:251
 #: ../core/src/org/openstreetmap/josm/gui/preferences/PluginPreference.java:490
-#: ../core/src/org/openstreetmap/josm/gui/preferences/PluginPreference.java:513
+#: ../core/src/org/openstreetmap/josm/gui/preferences/PluginPreference.java:515
 #: ../core/src/org/openstreetmap/josm/gui/preferences/PreferenceTabbedPane.java:186
 #: ../core/src/org/openstreetmap/josm/plugins/PluginHandler.java:121
@@ -228,5 +228,4 @@
 
 #. Strings in JFileChooser
-#. Strings in JOptionPane
 #: ../core/src/org/openstreetmap/josm/actions/AbstractInfoAction.java:98
 #: ../core/src/org/openstreetmap/josm/actions/AbstractMergeAction.java:67
@@ -277,7 +276,7 @@
 #: ../core/src/org/openstreetmap/josm/gui/preferences/PreferenceDialog.java:91
 #: ../core/src/org/openstreetmap/josm/gui/preferences/TaggingPresetPreference.java:62
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:994
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:995
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:190
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:991
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:992
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:195
 #: ../core/src/org/openstreetmap/josm/io/GpxExporter.java:116
 #: ../plugins/DirectUpload/src/org/openstreetmap/josm/plugins/DirectUpload/UploadDataGui.java:119
@@ -302,5 +301,5 @@
 #: ../plugins/wmsplugin/src/wmsplugin/Map_Rectifier_WMSmenuAction.java:151
 #: ../plugins/wmsplugin/src/wmsplugin/WMSAdjustAction.java:176
-#: build/specialmessages.java:33 build/specialmessages.java:90
+#: build/specialmessages.java:33
 msgid "Cancel"
 msgstr "Annulla"
@@ -421,5 +420,5 @@
 #: ../plugins/reverter/src/reverter/RevertChangesetAction.java:28
 #: ../plugins/simplifyarea/src/sk/zdila/josm/plugin/simplify/SimplifyAreaAction.java:42
-#: ../plugins/smed/src/smed/tabs/SmedTabAction.java:38
+#: ../plugins/smed/src/smed/tabs/SmedTabAction.java:40
 #: ../plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/AutoSaveAction.java:39
 #: ../plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/SurveyorShowAction.java:47
@@ -677,5 +676,5 @@
 #: ../core/src/org/openstreetmap/josm/gui/layer/geoimage/GeoImageLayer.java:648
 #: ../core/src/org/openstreetmap/josm/gui/preferences/AdvancedPreference.java:145
-#: ../core/src/org/openstreetmap/josm/gui/preferences/PluginPreference.java:507
+#: ../core/src/org/openstreetmap/josm/gui/preferences/PluginPreference.java:509
 #: ../plugins/colorscheme/src/at/dallermassl/josm/plugin/colorscheme/ColorSchemePreference.java:96
 #: ../plugins/routing/src/com/innovant/josm/plugin/routing/gui/RoutingPreferenceDialog.java:134
@@ -1609,6 +1608,6 @@
 #: ../core/src/org/openstreetmap/josm/gui/preferences/TaggingPresetPreference.java:61
 #: ../core/src/org/openstreetmap/josm/gui/preferences/TaggingPresetPreference.java:112
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:834
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:844
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:831
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:841
 #: ../core/src/org/openstreetmap/josm/io/FileImporter.java:64
 #: ../core/src/org/openstreetmap/josm/io/FileImporter.java:78
@@ -1672,5 +1671,5 @@
 #: ../core/src/org/openstreetmap/josm/gui/io/SaveLayersTableColumnModel.java:62
 #: ../core/src/org/openstreetmap/josm/gui/layer/Layer.java:286
-#: ../plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java:1327
+#: ../plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java:1340
 #: ../plugins/toms/src/toms/dialogs/SmpDialogAction.java:1406
 #: build/specialmessages.java:65
@@ -1786,5 +1785,5 @@
 #: ../core/src/org/openstreetmap/josm/gui/layer/geoimage/CorrelateGpxWithImages.java:969
 #: ../plugins/DirectUpload/src/org/openstreetmap/josm/plugins/DirectUpload/UploadDataGui.java:247
-#: ../plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java:1300
+#: ../plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java:1313
 #: ../plugins/toms/src/toms/dialogs/SmpDialogAction.java:1382
 msgid "Close"
@@ -1837,5 +1836,4 @@
 msgstr "Selezionare almeno un percorso da semplificare."
 
-#. Strings in JOptionPane
 #: ../core/src/org/openstreetmap/josm/actions/SimplifyWayAction.java:111
 #: ../core/src/org/openstreetmap/josm/gui/io/SaveLayerInfoCellRenderer.java:44
@@ -1843,5 +1841,4 @@
 #: ../core/src/org/openstreetmap/josm/gui/preferences/TaggingPresetPreference.java:62
 #: ../plugins/simplifyarea/src/sk/zdila/josm/plugin/simplify/SimplifyAreaAction.java:87
-#: build/specialmessages.java:88
 msgid "Yes"
 msgstr "Si"
@@ -2604,5 +2601,5 @@
 #: ../core/src/org/openstreetmap/josm/gui/dialogs/SelectionListDialog.java:329
 #: ../core/src/org/openstreetmap/josm/gui/dialogs/UserListDialog.java:159
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:190
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:195
 #: ../plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java:783
 #: ../plugins/validator/src/org/openstreetmap/josm/plugins/validator/ValidatorDialog.java:108
@@ -3058,5 +3055,5 @@
 "etichetta. Esempio di utilizzo: key=value"
 
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:459
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:449
 #, java-format
 msgid "Unknown primitive type: {0}. Allowed values are node, way or relation"
@@ -3065,36 +3062,36 @@
 "relazione"
 
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:641
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:631
 #, java-format
 msgid "Unexpected token. Expected {0}, found {1}"
 msgstr "Token inaspettato. Era atteso {0}, trovato {1}"
 
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:656
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:646
 #, java-format
 msgid "Unexpected token: {0}"
 msgstr "Token inaspettato: {0}"
 
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:667
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:657
 msgid "Missing parameter for OR"
 msgstr "Parametro mancante per OR"
 
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:692
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:682
 msgid "Missing operator for NOT"
 msgstr "Operatore mancante per NOT"
 
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:699
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:689
 msgid "Primitive id expected"
 msgstr "Era atteso un identificativo di primitiva"
 
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:701
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:704
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:691
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:694
 msgid "Range of numbers expected"
 msgstr "Atteso intervallo di numeri"
 
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:707
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:697
 msgid "Changeset id expected"
 msgstr "Era atteso un identificativo del gruppo di modifiche"
 
-#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:709
+#: ../core/src/org/openstreetmap/josm/actions/search/SearchCompiler.java:699
 msgid "Version expected"
 msgstr "Era attesa una versione"
@@ -3160,5 +3157,4 @@
 
 #. Strings in JFileChooser
-#. Strings in JOptionPane
 #: ../core/src/org/openstreetmap/josm/actions/upload/RelationUploadOrderHook.java:88
 #: ../core/src/org/openstreetmap/josm/gui/HelpAwareOptionPane.java:82
@@ -3189,5 +3185,5 @@
 #: ../plugins/terracer/src/terracer/HouseNumberInputDialog.java:87
 #: ../plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionEditor.java:686
-#: build/specialmessages.java:58 build/specialmessages.java:87
+#: build/specialmessages.java:58
 msgid "OK"
 msgstr "OK"
@@ -3823,5 +3819,5 @@
 msgstr "E"
 
-#: ../core/src/org/openstreetmap/josm/data/osm/DataSet.java:243
+#: ../core/src/org/openstreetmap/josm/data/osm/DataSet.java:258
 #, java-format
 msgid ""
@@ -3831,5 +3827,5 @@
 "incluso"
 
-#: ../core/src/org/openstreetmap/josm/data/osm/DataSet.java:651
+#: ../core/src/org/openstreetmap/josm/data/osm/DataSet.java:666
 #, java-format
 msgid ""
@@ -4716,5 +4712,5 @@
 
 #: ../core/src/org/openstreetmap/josm/gui/MainMenu.java:177
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:190
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:195
 #: ../plugins/tageditor/src/org/openstreetmap/josm/plugins/tageditor/TagEditorDialog.java:191
 msgid "Presets"
@@ -6796,5 +6792,5 @@
 #. item "Highways/Streets/Roundabout" text "Name"
 #. <space />
-#. <key key="bridge" value="yes" />
+#. unparsed line             <combo key="bridge" values="yes,viaduct,swing,aqueduct" required="true" default="yes" text="Bridge" />
 #. <optional>
 #. item "Highways/Streets/Bridge" text "Name"
@@ -8151,5 +8147,5 @@
 #: ../core/src/org/openstreetmap/josm/gui/dialogs/properties/PropertiesDialog.java:572
 #: ../core/src/org/openstreetmap/josm/gui/dialogs/properties/PropertiesDialog.java:639
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:146
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:143
 #: ../plugins/OpeningHoursEditor/src/org/openstreetmap/josm/plugins/ohe/OhePlugin.java:112
 msgid "<different>"
@@ -9724,9 +9720,7 @@
 msgstr "Seleziona il nome del file"
 
-#. Strings in JOptionPane
 #: ../core/src/org/openstreetmap/josm/gui/io/SaveLayerInfoCellRenderer.java:44
 #: ../core/src/org/openstreetmap/josm/gui/io/SaveLayerInfoCellRenderer.java:57
 #: ../core/src/org/openstreetmap/josm/gui/preferences/TaggingPresetPreference.java:62
-#: build/specialmessages.java:89
 msgid "No"
 msgstr "No"
@@ -12904,5 +12898,5 @@
 
 #: ../core/src/org/openstreetmap/josm/gui/preferences/PluginPreference.java:489
-#: ../core/src/org/openstreetmap/josm/gui/preferences/PluginPreference.java:512
+#: ../core/src/org/openstreetmap/josm/gui/preferences/PluginPreference.java:514
 msgid "Please select an entry."
 msgstr "Seleziona una voce."
@@ -13376,38 +13370,38 @@
 msgstr "Etichette preimpostate"
 
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:266
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:270
 msgid "Actions"
 msgstr "Azioni"
 
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:396
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:418
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:400
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:422
 msgid "Separator"
 msgstr "Separatore"
 
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:580
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:584
 msgid "Toolbar"
 msgstr "Barra degli strumenti"
 
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:584
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:588
 msgid "Available"
 msgstr "Disponibile"
 
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:623
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:627
 msgid "Action parameters"
 msgstr "Parametri dell''azione"
 
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:624
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:628
 msgid "Parameter name"
 msgstr "Nome parametro"
 
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:625
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:629
 msgid "Parameter value"
 msgstr "Valore parametro"
 
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:630
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:634
 msgid "Toolbar customization"
 msgstr "Personalizzazione barra degli strumenti"
 
-#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:631
+#: ../core/src/org/openstreetmap/josm/gui/preferences/ToolbarPreferences.java:635
 msgid "Customize the elements on the toolbar."
 msgstr "Personalizza gli elementi nella barra degli strumenti"
@@ -13771,5 +13765,5 @@
 msgstr "Aggiungi una nuova etichetta"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:384
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:381
 #, java-format
 msgid ""
@@ -13780,49 +13774,49 @@
 "display_values deve essere lo stesso di values"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:514
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:511
 #: ../plugins/addrinterpolation/src/org/openstreetmap/josm/plugins/AddrInterpolation/AddrInterpolationDialog.java:314
 msgid "More information about this feature"
 msgstr "Ulteriori informazioni su questa caratteristica"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:551
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:548
 #, java-format
 msgid "Unknown requisite: {0}"
 msgstr "Requisito sconosciuto: {0}"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:608
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:605
 msgid "Available roles"
 msgstr "Ruoli disponibili"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:609
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:606
 msgid "role"
 msgstr "ruolo"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:610
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:607
 msgid "count"
 msgstr "conteggio"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:611
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:608
 msgid "elements"
 msgstr "elementi"
 
 #. space
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:626
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:623
 msgid "Optional Attributes:"
 msgstr "Attributi opzionali:"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:724
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:721
 #, java-format
 msgid "Unknown type: {0}"
 msgstr "Tipo sconosciuto: {0}"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:792
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:789
 msgid "Preset role element without parent"
 msgstr "Elemento ruolo preimpostato senza genitori"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:800
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:797
 msgid "Preset sub element without parent"
 msgstr "Sotto-elemento preimpostato senza genitori"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:833
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:830
 #: ../plugins/tageditor/src/org/openstreetmap/josm/plugins/tageditor/preset/Presets.java:63
 #: ../plugins/tageditor/src/org/openstreetmap/josm/plugins/tageditor/preset/Presets.java:66
@@ -13832,15 +13826,15 @@
 msgstr "Impossibile leggere la lista delle etichette preimpostate: {0}"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:843
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:840
 #, java-format
 msgid "Error parsing {0}: "
 msgstr "Impossibile leggere {0}: "
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:884
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:881
 #, java-format
 msgid "Elements of type {0} are supported."
 msgstr "Sono supportati elementi di tipo {0}."
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:980
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:977
 #: ../plugins/terracer/src/terracer/TerracerAction.java:149
 #, java-format
@@ -13850,22 +13844,22 @@
 msgstr[1] "Modifica {0} oggetti"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:983
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:980
 msgid "Nothing selected!"
 msgstr "Non è stato selezionato niente!"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:985
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:982
 msgid "Selection unsuitable!"
 msgstr "Selezione non adatta!"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:994
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:995
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:991
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:992
 msgid "Apply Preset"
 msgstr "Applica preimpostazione"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:994
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:991
 msgid "New relation"
 msgstr "Nuova relazione"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:1083
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java:1080
 #: ../plugins/roadsigns/src/org/openstreetmap/josm/plugins/roadsigns/RoadSignInputDialog.java:122
 msgid "Change Properties"
@@ -13894,9 +13888,9 @@
 msgstr "Ricerca preimpostazioni"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:273
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:278
 msgid "Show only applicable to selection"
 msgstr "Visualizza solamente per la selezione"
 
-#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:290
+#: ../core/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSearchDialog.java:295
 msgid "Search in tags"
 msgstr "Cerca nelle etichette"
@@ -19315,7 +19309,6 @@
 
 #: ../plugins/rgisopen/src/rgisopen/RGISLayerFromFileAction.java:34
-#, fuzzy
 msgid "New picture layer from RGIS..."
-msgstr "Nuovo livello immagine da file..."
+msgstr ""
 
 #: ../plugins/rgisopen/src/rgisopen/RGISOpenPlugin.java:33
@@ -19557,4 +19550,15 @@
 msgid "Fade background: "
 msgstr "Smorza lo sfondo: "
+
+#: ../plugins/smed/src/smed/tabs/SmedTabAction.java:38
+#: ../plugins/smed/src/smed/tabs/SmedTabAction.java:40
+#, fuzzy
+msgid "Seamap Editor"
+msgstr "Editor delle caratteristiche nautiche"
+
+#: ../plugins/smed/src/smed/tabs/SmedTabAction.java:38
+#, fuzzy
+msgid "Seanap Editor"
+msgstr "Editor delle caratteristiche nautiche"
 
 #: ../plugins/surveyor/src/at/dallermassl/josm/plugin/surveyor/AutoSaveAction.java:38
@@ -21694,5 +21698,5 @@
 msgstr "{0}, ..."
 
-#: ../plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/PositionLayer.java:92
+#: ../plugins/videomapping/src/org/openstreetmap/josm/plugins/videomapping/PositionLayer.java:90
 #, java-format
 msgid "{0} {1}% of GPS track"
@@ -22002,6 +22006,6 @@
 
 #: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:88
-msgid "Get Capabilities"
-msgstr "Recupera funzionalità"
+msgid "Get Layers"
+msgstr "Ottieni i livelli"
 
 #: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:124
@@ -22016,10 +22020,7 @@
 #: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:126
 #: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:161
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:236
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:254
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:273
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:277
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:281
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:310
+#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:222
+#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:244
+#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:262
 msgid "WMS Error"
 msgstr "Errore WMS"
@@ -22039,18 +22040,15 @@
 msgstr "URL WMS"
 
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:235
+#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:221
+msgid "Could not parse WMS layer list."
+msgstr "Impossibile analizzare la lista dei livelli WMS."
+
+#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:243
 msgid "Invalid service URL."
 msgstr "Indirizzo URL del servizio non valido."
 
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:253
+#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:261
 msgid "Could not retrieve WMS layer list."
 msgstr "Impossibile ottenere la lista dei livelli WMS."
-
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:272
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:276
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:280
-#: ../plugins/wmsplugin/src/wmsplugin/AddWMSLayerPanel.java:309
-msgid "Could not parse WMS layer list."
-msgstr "Impossibile analizzare la lista dei livelli WMS."
 
 #: ../plugins/wmsplugin/src/wmsplugin/GeorefImage.java:76
@@ -23636,7 +23634,6 @@
 #: build/trans_presets.java:588 build/trans_presets.java:611
 #: build/trans_presets.java:630 build/trans_presets.java:651
-#, fuzzy
 msgid "Lit"
-msgstr "Elenco"
+msgstr ""
 
 #. </optional>
@@ -24538,7 +24535,6 @@
 #. item "Highways/Streets/Road Restrictions" text "Max. axleload (tonnes)"
 #: build/trans_presets.java:416
-#, fuzzy
 msgid "Max. axleload (tonnes)"
-msgstr "Peso massimo (tonnellate)"
+msgstr ""
 
 #. item "Highways/Streets/Road Restrictions" text "Max. Height (meters)"
@@ -27391,7 +27387,6 @@
 
 #: build/trans_presets.java:1506
-#, fuzzy
 msgid "used"
-msgstr "inutilizzato"
+msgstr ""
 
 #: build/trans_presets.java:1508 build/trans_presets.java:1509
@@ -27400,7 +27395,6 @@
 
 #: build/trans_presets.java:1508 build/trans_presets.java:1509
-#, fuzzy
 msgid "oldtimer"
-msgstr "cartella"
+msgstr ""
 
 #. item "Motorcycle/Motorcycle Dealer" combo "Parts"
@@ -28012,12 +28006,10 @@
 #. item "Travel/Accomodation/Caravan Site" combo "Requires a fee"
 #: build/trans_presets.java:1828
-#, fuzzy
 msgid "Requires a fee"
-msgstr "Richiesta fallita"
+msgstr ""
 
 #: build/trans_presets.java:1828
-#, fuzzy
 msgid "interval"
-msgstr "industriale"
+msgstr ""
 
 #. item "Travel/Accomodation/Caravan Site" check "Power supply"
@@ -28028,7 +28020,6 @@
 #. item "Travel/Accomodation/Caravan Site" check "Tents allowed"
 #: build/trans_presets.java:1830
-#, fuzzy
 msgid "Tents allowed"
-msgstr "Test fallito"
+msgstr ""
 
 #. item "Travel/Accomodation/Camping Site"
@@ -30599,13 +30590,11 @@
 #. item "Man Made/Mineshaft" label "Edit Mineshaft"
 #: build/trans_presets.java:2722
-#, fuzzy
 msgid "Edit Mineshaft"
-msgstr "Modifica un porto turistico"
+msgstr ""
 
 #. item "Man Made/Mineshaft" text "Depth in meters"
 #: build/trans_presets.java:2725
-#, fuzzy
 msgid "Depth in meters"
-msgstr "Parametri dell''azione"
+msgstr ""
 
 #. <link href="http://wiki.openstreetmap.org/wiki/Tag:man_made=beacon" />
@@ -30871,7 +30860,6 @@
 #. item "Amenities/Clock"
 #: build/trans_presets.java:2825
-#, fuzzy
 msgid "Clock"
-msgstr "Blocco"
+msgstr ""
 
 #. <link href="http://wiki.openstreetmap.org/wiki/Tag:amenity=clock"
@@ -30879,7 +30867,6 @@
 #. item "Amenities/Clock" label "Edit Clock"
 #: build/trans_presets.java:2828
-#, fuzzy
 msgid "Edit Clock"
-msgstr "Modifica una darsena/bacino navale"
+msgstr ""
 
 #. <key key="amenity" value="clock" />
@@ -30887,33 +30874,27 @@
 #. item "Amenities/Clock" combo "Display"
 #: build/trans_presets.java:2831
-#, fuzzy
 msgid "Display"
-msgstr "riproduci"
+msgstr ""
 
 #: build/trans_presets.java:2831
-#, fuzzy
 msgid "analog"
-msgstr "Canale"
+msgstr ""
 
 #: build/trans_presets.java:2831
-#, fuzzy
 msgid "digital"
-msgstr "Modifica una ferrovia"
+msgstr ""
 
 #: build/trans_presets.java:2831
-#, fuzzy
 msgid "sundial"
-msgstr "Sunnita"
+msgstr ""
 
 #: build/trans_presets.java:2831
-#, fuzzy
 msgid "unorthodox"
-msgstr "Ortodossa"
+msgstr ""
 
 #. item "Amenities/Clock" combo "Support"
 #: build/trans_presets.java:2832
-#, fuzzy
 msgid "Support"
-msgstr "Discipline sportive"
+msgstr ""
 
 #: build/trans_presets.java:2832
@@ -30922,18 +30903,15 @@
 
 #: build/trans_presets.java:2832
-#, fuzzy
 msgid "billboard"
-msgstr "Colonnina"
+msgstr ""
 
 #. item "Amenities/Clock" combo "Visibility/readability"
 #: build/trans_presets.java:2833
-#, fuzzy
 msgid "Visibility/readability"
-msgstr "Visibilità"
+msgstr ""
 
 #: build/trans_presets.java:2833
-#, fuzzy
 msgid "(up to 5m)"
-msgstr "fino al tassello"
+msgstr ""
 
 #: build/trans_presets.java:2833
@@ -30947,7 +30925,6 @@
 #. item "Amenities/Clock" check "Shows current date"
 #: build/trans_presets.java:2834
-#, fuzzy
 msgid "Shows current date"
-msgstr "Salva i dati attuali."
+msgstr ""
 
 #. item "Amenities/Clock" check "Shows temperature"
@@ -30963,7 +30940,6 @@
 #. item "Amenities/Clock" check "Shows humidity"
 #: build/trans_presets.java:2837
-#, fuzzy
 msgid "Shows humidity"
-msgstr "Visualizza storico"
+msgstr ""
 
 #. </optional>
@@ -37030,6 +37006,14 @@
 msgstr "PCN 2006 - Italia"
 
-#~ msgid "Plugin for Seamap Editor"
-#~ msgstr "Estensione per la modifica di mappe nautiche"
+#.
+#. only for France
+#. http://spotmaps.youmapps.org/cgi-bin/mapserv?map=/home/ortho/ortho.map&service=wms&version=1.1.1&srs=EPSG:4326&request=GetMap&layers=spotmaps4osm&format=image/jpeg&FORMAT=image/jpeg&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&Layers=demo&;http://www.youmapps.org/licenses/EULA-OSM-J-{lang}.html
+#: build/trans_wms.java:52
+#, fuzzy
+msgid "SPOTMaps (France)"
+msgstr "UTM Francia (DOM)"
+
+#~ msgid "Get Capabilities"
+#~ msgstr "Recupera funzionalità"
 
 #~ msgid "No data imported."
@@ -39357,7 +39341,4 @@
 #~ msgstr "Nautica"
 
-#~ msgid "Seamark Editor"
-#~ msgstr "Editor delle caratteristiche nautiche"
-
 #~ msgid "Edit OpenSeaMap"
 #~ msgstr "Modifica OpenSeaMap"
@@ -39379,7 +39360,7 @@
 #~ "riportare l''errore per \"{0}\"."
 
-#~ msgid "Get Layers"
-#~ msgstr "Ottieni i livelli"
-
 #~ msgid "Add relation"
 #~ msgstr "Aggiungi relazione"
+
+#~ msgid "Plugin for Seamap Editor"
+#~ msgstr "Estensione per la modifica di mappe nautiche"